Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] emerge --depclean
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish)
View previous topic :: View next topic  
Author Message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 820
Location: /mnt/Gentoo/

PostPosted: Wed Apr 11, 2012 10:08 am    Post subject: [SOLVED] emerge --depclean Reply with quote

Witam,

Po odinstalowaniu ffmpeg, zrobiłem emerge --depclean i mam mały problem:
Code:
Calculating dependencies... done!
 * Dependencies could not be completely resolved due to
 * the following required packages not being installed:
 *
 *   >=media-video/ffmpeg-0.6.90_rc0-r2[X,encode,-jpeg2k,mp3,sdl,-theora,threads,vaapi,vdpau,x264] pulled in by:
 *     virtual/ffmpeg-0.6.90
 *
 * Have you forgotten to do a complete update prior to depclean? The
 * most comprehensive command for this purpose is as follows:
 *
 *   emerge --update --newuse --deep --with-bdeps=y @world
 *
 * Note that the --with-bdeps=y option is not required in many
 * situations. Refer to the emerge manual page (run `man emerge`)
 * for more information about --with-bdeps.
 *
 * Also, note that it may be necessary to manually uninstall
 * packages that no longer exist in the portage tree, since it may
 * not be possible to satisfy their dependencies.


Co z tym fantem zrobić?
Robiłem emerge --update --newuse --deep --with-bdeps=y @world ale to mi z powrotem instalowało ffmpeg.


Last edited by Xywa on Wed Apr 11, 2012 10:49 am; edited 1 time in total
Back to top
View user's profile Send private message
znal
Apprentice
Apprentice


Joined: 12 Jul 2007
Posts: 177

PostPosted: Wed Apr 11, 2012 10:20 am    Post subject: Reply with quote

Wygląda na to że virtual/ffmpeg jest wymagany przez jakiś zainstalowany pakiet.
Można sprawdzić który to przez:
Code:
 equery d virtual/ffmpeg

Emerge chce instalować media-video/ffmpeg (domyślam się że o niego Tobie chodzi) ponieważ on jest z kolei pierwszym pakietem dostarczającym implementację dla virtual/ffmpeg.
Rozwiązania są co najmniej 2:
- zlikwidować wymagalność virtual/ffmpeg
- zainstalować inną niż media-video/ffmpeg implementację virtual/ffmpeg
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 820
Location: /mnt/Gentoo/

PostPosted: Wed Apr 11, 2012 10:49 am    Post subject: Reply with quote

Code:
# equery d virtual/ffmpeg
 * These packages depend on virtual/ffmpeg:
app-cdr/k3b-2.0.2-r1 (ffmpeg ? virtual/ffmpeg)
app-misc/strigi-0.7.7 (ffmpeg ? virtual/ffmpeg)
kde-base/ffmpegthumbs-4.8.1 (virtual/ffmpeg)
media-libs/gegl-0.1.6 (ffmpeg ? virtual/ffmpeg)
media-libs/libquicktime-1.2.4 (ffmpeg ? virtual/ffmpeg)
media-libs/mlt-0.7.8 (ffmpeg ? virtual/ffmpeg[vdpau?])
media-libs/opencv-2.3.0 (ffmpeg ? virtual/ffmpeg)
media-libs/xine-lib-1.2.1 (virtual/ffmpeg)
media-sound/sox-14.3.2-r1 (ffmpeg ? virtual/ffmpeg)
media-video/kdenlive-0.8.2.1 (virtual/ffmpeg[encode,sdl,X])
media-video/transcode-1.1.7 (>=virtual/ffmpeg-0.6.90)
                            (postproc ? >=virtual/ffmpeg-0.6.90)
media-video/vlc-1.1.13 (ffmpeg ? virtual/ffmpeg)
                       (vaapi ? virtual/ffmpeg)


W zasadzie głowny powód dla którego chcę usunąć ffmpeg i posprzątać system (a później dopiero zainstalować na nowo), ponieważ gdy uruchamiam audacity mam komunikat że brak jest ścieżki do bibloteki ffmpeg, pomimo iż ffmpeg jest zainstalowany. Nawet gdy w opcjach Audacitt -> edit -> preferences -> Libraries podawałem bezpośrednią ścieżke dostępu do wymaganej bibloteki, Audacity nie widział tej bibloteki...

p.s. W zcasie pisania tego postu zaskoczyło - tzn. Audacity widzi tą biblotekę - widocznie pomogło odinstalowanie i zainstalowanie ponowne (bez emerge --depclean). Sorki za zamieszanie [SOLVED]
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum